# How to use variables in Canned Replies

Variables allow you to pull information about your customers into messages. When you send a Canned Reply that contains a variable, Inbox will automatically replace the variable with the corresponding values from the contact's details.&#x20;

There are two types of variables that you can use in Inbox:

* Default
* Custom

&#x20;

### Default variables

Default variables are Inbox's standard [contact fields](#h_01FE13RD410YEWKVCN8RJGSTRT), such as **first name**, **last name**, and **email**.

| **Contact field** | **Syntax**                       |
| ----------------- | -------------------------------- |
| Display Name      | {{contact.displayName}}          |
| First Name        | <p>{{contact.firstName}}<br></p> |
| Last Name         | <p>{{contact.lastName}}<br></p>  |
| Email             | {{contact.email}}                |
| Phone Number      | <p>{{contact.phone}}<br></p>     |
| Country           | <p>{{contact.country}}<br></p>   |

#### &#x20;

#### Syntax

Follow this syntax when using default variables in Canned Replies: {{contact.*FIELD*}}.

**Example:**

*Hi {{contact.firstName}},*

*Welcome to our store. One of our team members will get back to you soon.*

*Cheers*

&#x20;

### Custom variables

Custom variables refer to any additional fields in the contact object, such as attributes.

#### Syntax <a href="#h_01fe13rd410yewkvcn8rjgstrt" id="h_01fe13rd410yewkvcn8rjgstrt"></a>

To use variables in Canned Replies, use the following syntax: {{contact.attributes.*FIELD*}}

If the attribute field has a letter space in it, replace the space with an underscore ‘\_’. So ‘order number’ should be written as {{contact.attributes.order\_number}}.

**Example**

*Hi {{contact.firstName}}*

*We do deliver to {{contact.attributes.city}}. Please let us know if you have more questions.*

*Cheers*

**Example**

*Hi there,*

*Your order#{{contact.attributes.order\_number}} is with us.*

*Cheers*

&#x20;

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/connectivity-platform/tickets/how-to-use-variables-in-canned-replies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
